メインコンテンツへスキップ
POST /api/v1/cloud/sessions/{session_id}/resources/{resource_id} Session リソースを 1 つ更新します。現在の CAS では github_repository リソースのトークンローテーションのみをサポートしています。

パスパラメータ

パラメータ説明
session_idstringsess_ プレフィックス付きの Session ID
resource_idstringsesr_ プレフィックス付きの Resource ID

ヘッダー

ヘッダー必須説明
AuthorizationはいBearer $QODER_PAT
Content-Typeはいapplication/json

リクエストボディ

フィールド必須説明
authorization_tokenstringはい新しい GitHub トークン

リクエスト例

curl -X POST https://api.qoder.com/api/v1/cloud/sessions/sess_019e392c0d1e74e095d21ea4c6b41def/resources/sesr_0e4323e8f47ba34853f5409e \
  -H "Authorization: Bearer $QODER_PAT" \
  -H "Content-Type: application/json" \
  -d '{"authorization_token":"ghp_newtoken"}'

レスポンス例

HTTP 200 OK 更新後の Session リソース を返します。トークンは返却されません。
{
  "id": "sesr_0e4323e8f47ba34853f5409e",
  "type": "github_repository",
  "url": "https://github.com/your-org/your-repo",
  "mount_path": "/data/workspace/your-repo",
  "checkout": {"type": "branch", "name": "main"},
  "created_at": "2026-06-23T05:53:19.774840Z",
  "updated_at": "2026-06-23T06:01:42.124501Z"
}

エラー

HTTPtypeトリガー条件
400invalid_request_errorリソースが github_repository でない、またはリクエスト形式エラー
401authentication_errorPAT が無効または期限切れ
404not_found_errorSession またはリソースが存在しない
HTTP 400 Bad Request
{
  "type": "error",
  "error": {
    "type": "invalid_request_error",
    "message": "Field 'authorization_token' is required."
  }
}
HTTP 404 Not Found
{
  "type": "error",
  "error": {
    "type": "not_found_error",
    "message": "Session resource 'sesr_does_not_exist_xxxxxxxxxxxxxxxxxxxxxxx' was not found."
  }
}
HTTP 404 Not Found
{
  "type": "error",
  "error": {
    "type": "not_found_error",
    "message": "Session 'sess_does_not_exist_xxxxxxxxxxxxxxxxxxxxxxx' was not found."
  }
}
完全なエラーエンベロープは エラー を参照してください。